// DrawCircle.h: interface for the CDrawCircle class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DRAWCIRCLE_H__FC3420BE_09E4_4630_9D92_975A7C113DDD__INCLUDED_)
#define AFX_DRAWCIRCLE_H__FC3420BE_09E4_4630_9D92_975A7C113DDD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DrawingNode.h"

class CDrawCircle : public CDrawingNode  
{
	CRect m_rect;

public:
	void OnMouseMove(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled);
	void OnLButtonUp(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled);
	void OnLButtonDown(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled);
	void Draw(CDC* pDC);
	CDrawCircle();
	virtual ~CDrawCircle();

};

#endif // !defined(AFX_DRAWCIRCLE_H__FC3420BE_09E4_4630_9D92_975A7C113DDD__INCLUDED_)
